Page MenuHomePhabricator

wmcs: refresh hardware tracking docs
Closed, ResolvedPublic

Description

I will conduct a refreshment of the hardware tracking docs we have in WMCS.

We are specifically interested in:

  • refresh hardware list with what we have, what's gone and what is already purchased but not in use, etc
  • next movements: which hardware servers need to be refreshed next

Event Timeline

aborrero created this task.Jan 23 2019, 5:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2019, 5:35 PM
aborrero triaged this task as Normal priority.Jan 23 2019, 5:35 PM
aborrero moved this task from Inbox to Important on the cloud-services-team (Kanban) board.

Regarding openstack control servers in codfw, we have 3 servers:

  • labtestcontrol2001 (labtest, nova-network based openstack deployment), warranty expiration date on 2015-12-06.
  • labtestcontrol2003 (labtestn, neutron based openstack deployment), warranty expiration date on 2020-06-19.
  • cloudcontrol2001-dev (being racked in T214448: rack/setup/install cloudcontrol2001-dev & cloudvirt200[123]-dev as a replacement for labtestcontrol2001), warranty expiration date on 2022-01-17.

However, labtest, the nova-network based openstack deployment, is planned to be shutdown by the end of this FY18/19 Q3 once we complete the neutron transition goal.
Once this goal is completed, both labtestcontro2001 and cloudcontrol2001-dev would be serving no purpose.
Obviously, we can probably find another function for such a new server like cloudcontrol2001-dev. But I believe that using it as the labtestcontrol2001 refresh is weird.
Would make more sense if we were planning to have 2 openstack deployments in codfw after the nova-network shutdown, but I don't think that's the case in the short term.

Regarding openstack control servers in codfw, we have 3 servers:

  • labtestcontrol2001 (labtest, nova-network based openstack deployment), warranty expiration date on 2015-12-06.
  • labtestcontrol2003 (labtestn, neutron based openstack deployment), warranty expiration date on 2020-06-19.
  • cloudcontrol2001-dev (being racked in T214448: rack/setup/install cloudcontrol2001-dev & cloudvirt200[123]-dev as a replacement for labtestcontrol2001), warranty expiration date on 2022-01-17.

However, labtest, the nova-network based openstack deployment, is planned to be shutdown by the end of this FY18/19 Q3 once we complete the neutron transition goal.
Once this goal is completed, both labtestcontro2001 and cloudcontrol2001-dev would be serving no purpose.
Obviously, we can probably find another function for such a new server like cloudcontrol2001-dev. But I believe that using it as the labtestcontrol2001 refresh is weird.
Would make more sense if we were planning to have 2 openstack deployments in codfw after the nova-network shutdown, but I don't think that's the case in the short term.

I asked @bd808 and @Andrew and we agreed in the following:

  • cloudcontrol2001-dev won't be involved in the nova-network deployment in codfw (i.e, not really refreshing labtestcontrl2001).
  • all new hardware goes for neutron based deployment in codfw.

Mentioned in SAL (#wikimedia-operations) [2019-01-29T16:51:02Z] <arturo> T214499 update Netbox status for cloudvirt1023/1024/1025/1026/1027 from PLANNED to ACTIVE. These servers are actually providing services already.

aborrero closed this task as Resolved.Mar 8 2019, 12:59 PM

This was done. Closing task now.